//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.16 at 09:58:40 AM CEST 
//


package net.ihe.gazelle.tempmodel.distinguisher;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ElementDiscriber complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ElementDiscriber"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="distinguisher" type="{}Distinguisher" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" /&gt;
 *       &lt;attribute name="type" type="{}CDAType" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ElementDiscriber", propOrder = {
    "distinguisher"
})
public class ElementDiscriber {

    @XmlElement(required = true)
    private List<Distinguisher> distinguisher;
    @XmlAttribute(name = "name")
    private String name;
    @XmlAttribute(name = "type")
    private CDAType type;
    
    @XmlAttribute(name = "identifier")
    private String identifier;
    
    @XmlAttribute(name = "needDistinguisher")
    private Boolean needDistinguisher;
    
    @XmlTransient
	private CDAElementsDistinguisher parentObject;
    
    @XmlTransient 
    private List<Distinguisher> listRealDistinguisher;
    
    
    /**
	 * @return the needDistinguisher
	 */
	public Boolean getNeedDistinguisher() {
		return needDistinguisher;
	}

	/**
	 * @param needDistinguisher the needDistinguisher to set
	 */
	public void setNeedDistinguisher(Boolean needDistinguisher) {
		this.needDistinguisher = needDistinguisher;
	}

	public List<Distinguisher> getListRealDistinguisher() {
		return listRealDistinguisher;
	}

	public void setListRealDistinguisher(List<Distinguisher> listRealDistinguisher) {
		this.listRealDistinguisher = listRealDistinguisher;
	}

	public CDAElementsDistinguisher getParentObject() {
		return parentObject;
	}

	public void setParentObject(CDAElementsDistinguisher parentObject) {
		this.parentObject = parentObject;
	}
	
	void afterUnmarshal( javax.xml.bind.Unmarshaller u, Object parent ){
		this.parentObject = (CDAElementsDistinguisher)parent;
	}

    public String getIdentifier() {
		return identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	/**
     * Gets the value of the distinguisher property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the distinguisher property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDistinguisher().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Distinguisher }
     * @return object  {@link Distinguisher }
     * 
     */
    public List<Distinguisher> getDistinguisher() {
        if (distinguisher == null) {
            distinguisher = new ArrayList<>();
        }
        return this.distinguisher;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link CDAType }
     *     
     */
    public CDAType getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link CDAType }
     *     
     */
    public void setType(CDAType value) {
        this.type = value;
    }

}
